"use strict";
/********************************************************************************
 * Copyright (C) 2021 Jon Radchenko and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
var browser_1 = require("@theia/core/lib/browser");
var inversify_1 = require("inversify");
var server_proxy_list_widget_1 = require("./server-proxy-list-widget");
var server_proxy_list_view_contribution_1 = require("./server-proxy-list-view-contribution");
exports.default = new inversify_1.ContainerModule(function (bind) {
    browser_1.bindViewContribution(bind, server_proxy_list_view_contribution_1.ServerProxyListViewContribution);
    bind(browser_1.FrontendApplicationContribution).toService(server_proxy_list_view_contribution_1.ServerProxyListViewContribution);
    bind(server_proxy_list_widget_1.ServerProxyListWidget).toSelf();
    bind(browser_1.WidgetFactory).toDynamicValue(function (context) { return ({
        id: server_proxy_list_widget_1.ServerProxyListWidget.ID,
        createWidget: function () { return context.container.get(server_proxy_list_widget_1.ServerProxyListWidget); },
        defaultWidgetOptions: {
            area: 'bottom',
            rank: 200,
        },
    }); }).inSingletonScope();
});
//# sourceMappingURL=server-proxy-list-frontend-module.js.map